> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect

> initilize bank linking



## OpenAPI

````yaml /openapi/financial-data.json post /accounts/initialize
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /accounts/initialize:
    post:
      tags:
        - ''
      summary: Connect
      description: initilize bank linking
      operationId: Bank ID initializing
      requestBody:
        description: Getting initial connect with Flick
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Connect'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Connect:
      required:
        - firstName
        - lastName
        - email
        - phoneNumber
        - purpose
        - selectedPeriod
      type: object
      properties:
        firstName:
          type: string
          example: user Name
        lastName:
          type: string
          example: user lastName
        email:
          type: string
          example: user email
        phoneNumber:
          type: string
          example: user phoneNumber
        purpose:
          type: string
          enum:
            - statement
            - transaction
            - balance
            - identity
        selectedPeriod:
          type: string
          example: 1, 3, 6, 9 & 12 months / 1, 3, 7, 14, & 30 days
          description: >-
            Statement = 1,3,6,9,12 months Transation = 1,3,7,14,30 days.
            balance/identity =''
    ConnectResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: successful
        id:
          type: string
          example: 1d48c8f-0d29-4340-a
        url:
          type: string
          example: https://link.paywithflick.co/pages/cBYpdJ
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.